diff -Naurp modsecurity-2.9.2/apache2/Makefile.am modsecurity-2.9.2.oden/apache2/Makefile.am
--- modsecurity-2.9.2/apache2/Makefile.am	2017-07-18 20:45:57.000000000 +0200
+++ modsecurity-2.9.2.oden/apache2/Makefile.am	2021-12-12 09:27:05.689212544 +0100
@@ -5,9 +5,6 @@ mod_security2_la_SOURCES = acmp.c \
     apache2_config.c \
     apache2_io.c \
     apache2_util.c \
-    libinjection/libinjection_html5.c \
-    libinjection/libinjection_sqli.c \
-    libinjection/libinjection_xss.c \
     mod_security2.c \
     modsecurity.c \
     msc_status_engine.c \
@@ -43,8 +40,8 @@ mod_security2_la_CFLAGS = @APR_CFLAGS@ \
     @MODSEC_EXTRA_CFLAGS@ \
     @PCRE_CFLAGS@ \
     @YAJL_CFLAGS@ \
-    @SSDEEP_CFLAGS@
-
+    @SSDEEP_CFLAGS@ \
+    @INJECTION_CFLAGS@
 
 mod_security2_la_CPPFLAGS = @APR_CPPFLAGS@ \
     @CURL_CPPFLAGS@ \
@@ -59,7 +56,8 @@ mod_security2_la_LIBADD = @APR_LDADD@ \
     @LIBXML2_LDADD@ \
     @LUA_LDADD@ \
     @PCRE_LDADD@ \
-    @YAJL_LDADD@
+    @YAJL_LDADD@ \
+    @INJECTION_LDADD@
 
 if AIX
 mod_security2_la_LDFLAGS = -module -avoid-version \
@@ -72,7 +70,8 @@ mod_security2_la_LDFLAGS = -module -avoi
     @LUA_LDFLAGS@ \
     @PCRE_LDFLAGS@ \
     @YAJL_LDFLAGS@ \
-    @SSDEEP_LDFLAGS@
+    @SSDEEP_LDFLAGS@ \
+    @INJECTION_LDADD@
 endif
 
 if HPUX
@@ -86,7 +85,8 @@ mod_security2_la_LDFLAGS = -module -avoi
     @LUA_LDFLAGS@ \
     @PCRE_LDFLAGS@ \
     @YAJL_LDFLAGS@ \
-    @SSDEEP_LDFLAGS@
+    @SSDEEP_LDFLAGS@ \
+    @INJECTION_LDADD@
 endif
 
 if MACOSX
@@ -100,7 +100,8 @@ mod_security2_la_LDFLAGS = -module -avoi
     @LUA_LDFLAGS@ \
     @PCRE_LDFLAGS@ \
     @YAJL_LDFLAGS@ \
-    @SSDEEP_LDFLAGS@
+    @SSDEEP_LDFLAGS@ \
+    @INJECTION_LDADD@
 endif
 
 if SOLARIS
@@ -114,7 +115,8 @@ mod_security2_la_LDFLAGS = -module -avoi
     @LUA_LDFLAGS@ \
     @PCRE_LDFLAGS@ \
     @YAJL_LDFLAGS@ \
-    @SSDEEP_LDFLAGS@
+    @SSDEEP_LDFLAGS@ \
+    @INJECTION_LDADD@
 endif
 
 if LINUX
@@ -128,7 +130,8 @@ mod_security2_la_LDFLAGS = -no-undefined
     @LUA_LDFLAGS@ \
     @PCRE_LDFLAGS@ \
     @YAJL_LDFLAGS@ \
-    @SSDEEP_LDFLAGS@
+    @SSDEEP_LDFLAGS@ \
+    @INJECTION_LDADD@
 endif
 
 if FREEBSD
@@ -142,7 +145,8 @@ mod_security2_la_LDFLAGS = -no-undefined
     @LUA_LDFLAGS@ \
     @PCRE_LDFLAGS@ \
     @YAJL_LDFLAGS@ \
-    @SSDEEP_LDFLAGS@
+    @SSDEEP_LDFLAGS@ \
+    @INJECTION_LDADD@
 endif
 
 if OPENBSD
@@ -156,7 +160,8 @@ mod_security2_la_LDFLAGS = -no-undefined
     @LUA_LDFLAGS@ \
     @PCRE_LDFLAGS@ \
     @YAJL_LDFLAGS@ \
-    @SSDEEP_LDFLAGS@
+    @SSDEEP_LDFLAGS@ \
+    @INJECTION_LDADD@
 endif
 
 if NETBSD
@@ -170,7 +175,8 @@ mod_security2_la_LDFLAGS = -no-undefined
     @LUA_LDFLAGS@ \
     @PCRE_LDFLAGS@ \
     @YAJL_LDFLAGS@ \
-    @SSDEEP_LDFLAGS@
+    @SSDEEP_LDFLAGS@ \
+    @INJECTION_LDADD@
 endif
 
 if LINUX
diff -Naurp modsecurity-2.9.2/apache2/re_operators.c modsecurity-2.9.2.oden/apache2/re_operators.c
--- modsecurity-2.9.2/apache2/re_operators.c	2017-07-18 20:45:57.000000000 +0200
+++ modsecurity-2.9.2.oden/apache2/re_operators.c	2021-12-12 09:24:40.529334881 +0100
@@ -35,8 +35,7 @@
 #include "fuzzy.h"
 #endif 
 
-#include "libinjection/libinjection.h"
-
+#include <libinjection.h>
 
 /**
  *
diff -Naurp modsecurity-2.9.2/build/find_injection.m4 modsecurity-2.9.2.oden/build/find_injection.m4
--- modsecurity-2.9.2/build/find_injection.m4	1970-01-01 01:00:00.000000000 +0100
+++ modsecurity-2.9.2.oden/build/find_injection.m4	2021-12-12 09:30:07.286808484 +0100
@@ -0,0 +1,64 @@
+dnl Check for INJECTION Libraries
+dnl CHECK_INJECTION(ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND])
+dnl Sets:
+dnl  INJECTION_CFLAGS
+dnl  INJECTION_LDFLAGS
+
+AC_DEFUN([CHECK_INJECTION],
+[dnl
+
+INJECTION_CFLAGS=""
+INJECTION_LDFLAGS=""
+INJECTION_LDADD=""
+
+AC_ARG_WITH(
+    injection,
+    [AC_HELP_STRING([--with-injection=PATH],[Path to injection prefix])]
+    ,, with_injection=yes)
+
+AS_CASE(["${with_injection}"],
+    [no], [test_paths=],
+    [yes], [test_paths="/usr/ /usr/local/ /opt /opt/local"],
+    [test_paths="${with_injection}"])
+
+AS_IF([test "x${test_paths}" != "x"], [
+AC_MSG_CHECKING([for injection path])
+  
+  INJECTION_LIB_NAME="injection"
+  injection_dir=
+
+  if test -z "$withinjection" -o "$withinjection" = "yes"; then
+    for i in ${test_paths}; do
+      if test -f "$i/include/libinjection.h"; then
+        INJECTION_CFLAGS="-I$i/include"
+        injection_dir=$i
+      fi
+    done
+  else
+    if test -f "$withinjection/include/libinjection.h"; then
+      INJECTION_CFLAGS="-I$withinjection/include"
+      injection_dir=$withinjection
+    fi
+  fi
+
+  INJECTION_LDFLAGS="-L$injection_dir/lib -linjection"
+  INJECTION_LDADD="-linjection"
+
+])  
+ 
+    if test -z "${INJECTION_CFLAGS}"; then
+        AC_MSG_RESULT([no])
+	INJECTION_LDFLAGS=""
+	INJECTION_LDADD=""
+       AC_MSG_NOTICE([optional injection library not found])
+    else
+      INJECTION_CFLAGS="-DWITH_INJECTION ${INJECTION_CFLAGS}"
+        AC_MSG_RESULT([${INJECTION_LDFLAGS} ${INJECTION_CFLAGS}]) 
+    fi 
+
+AC_SUBST(INJECTION_LDFLAGS)
+AC_SUBST(INJECTION_LDADD)
+AC_SUBST(INJECTION_CFLAGS)
+
+
+])
diff -Naurp modsecurity-2.9.2/configure.ac modsecurity-2.9.2.oden/configure.ac
--- modsecurity-2.9.2/configure.ac	2017-07-18 20:45:57.000000000 +0200
+++ modsecurity-2.9.2.oden/configure.ac	2021-12-12 09:38:07.898092559 +0100
@@ -865,6 +865,9 @@ CHECK_YAJL()
 CHECK_SSDEEP()
 #AC_SEARCH_LIBS([fuzzy_hash_buf], [fuzzy])
 
+CHECK_INJECTION()
+#AC_SEARCH_LIBS([libinjection_version], [injection])
+
 # Temporarily set cflags for apr_crypto check, then restore
 # since it's already used correctly to compile modsecurity module.
 ORIG_CFLAGS="$CFLAGS $APU_CFLAGS"
